{{- define "lib.pvc" -}}
{{- range $k, $v := .Values.storage }}
{{- $customName := printf "%s-%s" (include "chart.fullname" $) $k }}
---
# ---------------------------------------------------------------------
# This pvc is created as a part of softplayer helm library
# please see /lib/tempaltes/pvc/_pvc.tpl
# ---------------------------------------------------------------------

apiVersion: v1
kind: PersistentVolumeClaim
{{- include "lib.metadata" (dict "Context" $ "customName" $customName)}}
spec:
{{- with $v.accessModes }}
  accessModes:
{{ toYaml . | indent 4}}
{{- end }}
  resources:
    requests:
      storage: {{ $v.size }}
{{- if ne $v.storageClassName "default" }}
  storageClassName: {{ $v.storageClassName }}
{{- end }}
{{- end }}
{{- end -}}
