# ---------------------------------------------------------------------
# Main workload helpers
# ---------------------------------------------------------------------
{{/*
  Prepare a tag for the container image 
  Example: 
  {{ include "helper.workload.tag" (dict "AppVersion" $.Chart.AppVersion "Tag" .Image.tag) }}
*/}}
{{- define "helper.workload.tag" -}} {{/* (define) */}}
{{- if or .Tag .AppVersion -}} {{/* (1) */}}
  {{- if .Tag -}} {{/* (2) */}}
    {{- .Tag -}} 
  {{- else -}}
    {{- .AppVersion  -}}
  {{- end -}} {{/* /(2) */}}
{{- else -}}
  {{ fail ".Tag or .AppVersion must be passed to this helper (helper.workload.tag)"}}
{{- end -}} {{/* /(1) */}}
{{- end -}} {{/* /(define) */}}

{{/*
  Prepare the image name for the container
  Example: 
  {{ include "helper.workload.image" (dict "Chart" $.Chart "Image" .image) }}
*/}}
{{- define "helper.workload.image" -}} {{/* (define) */}}
{{- if and .Chart .Image -}} {{/* (1) */}}
image: {{ printf "%s/%s:%s" .Image.registry .Image.repository (include "helper.workload.tag" (dict "AppVersion" $.Chart.AppVersion "Tag" .Image.tag)) }}
imagePullPolicy: {{ .Image.pullPolicy | default "Always" }}
{{- else -}}
  {{ fail ".Chart and .Image must be passed to this helper (helper.workload.image)"}}
{{- end -}} {{/* /(1) */}}
{{- end -}} {{/* /(define) */}}
