{{/* Build a pod security context */}}
{{- define "helper.workload.securityContext" -}} {{- /* (define) */ -}}
{{- if not .Values.workload.securityContext -}} {{- /* (1) */ -}}
# ---------------------------------------------------------------------
# Using the default security context, if it doesn't work for you,
# please update `.Values.workload.securityContext`
# ---------------------------------------------------------------------
securityContext:
  runAsUser: 1000
  runAsGroup: 3000
  fsGroup: 2000
  seccompProfile:
    type: RuntimeDefault
{{- else -}}
  {{- with .Values.workload.securityContext -}} {{- /* (2) */ -}}
securityContext:
{{ toYaml . | indent 2 }}
  {{- end }} {{- /* /(2) */}}
{{- end -}} {{- /* /(1) */ -}}
{{- end -}} {{- /* /(define) */ -}}

{{/* Build a container security context */}}
{{- define "helper.workload.containerSecurityContext" -}} {{- /* (define) */ -}}
securityContext:
{{- if  not .securityContext }} {{- /* (1) */}}
  runAsUser: 2000
  allowPrivilegeEscalation: false
  capabilities:
    drop:
      - ALL
{{- else }}
{{- with .securityContext }} {{- /* (2) */}}
{{ toYaml . | indent 2 }}
{{- end }} {{- /* /(2) */}}
{{- end -}} {{- /* /(1) */ -}}
{{- end -}} {{- /* /(define) */ -}}
